List bulk operations
import requests
url = "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}curl --request GET \
--url https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations \
--header 'Authorization: Bearer <token>'{
"content": [
{
"type": "publishRule",
"id": "8fc2056c-6515-497d-9bb3-74e26d961d90",
"createdBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"creationDate": "2026-07-13T17:59:29.690429Z",
"lastModifiedBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"lastModified": "2026-07-13T17:59:32.647840Z",
"status": "COMPLETED",
"lastHeartbeat": "2026-07-13T17:59:32.646828Z",
"errorMessage": null,
"rules": [
{
"ruleId": "af2d99c0-3d11-4002-a5d0-835b673d7f32",
"status": "COMPLETED",
"errorMessage": null,
"detailedErrorMessage": null
},
{
"ruleId": "68e2aa2f-f27b-4f29-87f4-ce39f2ba050c",
"status": "COMPLETED",
"errorMessage": null,
"detailedErrorMessage": null
}
]
}
],
"page": {
"size": 20,
"number": 0,
"totalElements": 1,
"totalPages": 1
}
}List bulk operations
List all bulk operations with optional filtering and pagination. Returns operations of all types including publish, unpublish, edit, delete, and migrate.
GET
/
bulk-operations
List bulk operations
import requests
url = "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)HttpResponse<String> response = Unirest.get("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations")
.header("Authorization", "Bearer <token>")
.asString();const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));require 'uri'
require 'net/http'
url = URI("https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_bodypackage main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{commerce_studio_id}.experiencemanager.lucidworks.com/bulk-operations",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter criteria for bulk operations. Base class for all list endpoint specifications - indicates no filtering is allowed for this entity if used directly in a controller.
Pagination parameters including page number and size.
Show child attributes
Show child attributes
Fields to include in the response.
Available options:
NONE Response
200 - */*
OK
content
(Delete · object | Edit · object | Migrate · object | Publish · object | Unpublish · object)[]
Summary of a bulk delete rule operation.
- Delete
- Edit
- Migrate
- Publish
- Unpublish
Show child attributes
Show child attributes
Example:
{
"type": "deleteRule",
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"createdBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"creationDate": "2026-07-13T18:04:12.190428685Z",
"lastModifiedBy": "fe56a9d2-f6eb-4906-f7fc-dd5eb0e43337@serviceaccounts.examplepetstore.com",
"lastModified": "2026-07-13T18:04:14.902428685Z",
"status": "COMPLETED",
"lastHeartbeat": "2026-07-13T18:04:14.900484876Z",
"errorMessage": null,
"rules": [
{
"ruleId": "af2d99c0-3d11-4002-a5d0-835b673d7f32",
"status": "COMPLETED",
"errorMessage": null,
"detailedErrorMessage": null
}
]
}
Show child attributes
Show child attributes
Was this page helpful?
⌘I